_G.ChargedThrow = _G.ChargedThrow or {}

local _charged_throw_increase = 2

ChargedThrow.Do_Charged_Throw = false

local _ChargedThrow_PlayerManager_server_drop_carry = PlayerManager.server_drop_carry

function PlayerManager:server_drop_carry(carry_id, carry_multiplier, dye_initiated, has_dye_pack, dye_value_multiplier, position, rotation, dir, ...)
	if ChargedThrow.Do_Charged_Throw then
		dir = dir * _charged_throw_increase
		ChargedThrow.Do_Charged_Throw = false
	end
	return _ChargedThrow_PlayerManager_server_drop_carry(self, carry_id, carry_multiplier, dye_initiated, has_dye_pack, dye_value_multiplier, position, rotation, dir, ...)
end